Subject: RE: [Diffserv] draft-kanada-diffserv-qospifmib-00.txt

From: Andrew Smith <[email-masked]>
Date: Thu, 15 Jun 2000 09:51:46 -0700

I'm not sure I agree with that consensus (that doesn't mean it's not a rough
consensus of course):

1. I don't see a need to add bandwidth and priority attributes to the
Scheduler elements - I thought we agreed you would use cascaded TCBs for
this purpose. Note that, due to the limitations of SMI, the
bandwidth/priority/other-parms that each queue gets at the input to a
Scheduler are actually stored in the Queue element data structure (see
figure 2 in the draft).

2. I haven't yet seen a good justification for packet-based thresholds -
Kathie says research on that is still ongoing. So they should be byte- (or
"chunk-")based for now. We could add packet-based ones at a later date
perhaps.

Otherwise OK.

As an aside, I don't think we've discussed this here (and it has nothing to
do with this consensus stuff) but I wonder how a RED dropper that factors in
the size of the packet when determining its drop probability would behave -
do any of the studies discuss this?

Andrew

> -----Original Message-----
> From:	Fred Baker [SMTP:[email-masked]]
> Sent:	Wednesday, June 14, 2000 4:29 PM
> To:	Andrew Smith
> Cc:	[email-masked]
> Subject:	RE: [Diffserv] draft-kanada-diffserv-qospifmib-00.txt
> 
> At 11:18 AM 6/14/00 -0700, Andrew Smith wrote:
> >Bits, bytes or "buffering units" seems to be more appropriate to me:
> 
> OK, Andrew, let's assume the existence of a consensus to:
> 
>          start with my "second proposal"
> 
>          support bandwidth and priority for schedulers by cloning
>          the objects already present for queues
> 
>          add octet-count min-threshold and max-threshold objects;
>          there should be supporting text that says one would not configure
>          *both* packet depth and octet depth thresholds (unless someone
>          thinks doing that is rational).
> 
>          make max drop rate be in drops per thousand packets, seeing as
>          one cannot drop in units of octets, but an entire packet at a
> time.
> 
> Can you post an updated draft for WG review?

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/